#ifndef BATTERYWIDGET_H
#define BATTERYWIDGET_H

#include "gui/devicewidget.h"

namespace Ui {
    class Battery;
}

namespace core {
    class Device;
}

namespace gui {

class BatteryWidget : public DeviceWidget {
    Q_OBJECT
public:
    BatteryWidget(core::Device *d, QWidget *parent = 0);
    ~BatteryWidget();

private Q_SLOTS:
    virtual void changed();

private:
    Ui::Battery *ui;
};

}

#endif // BATTERYWIDGET_H
