#ifndef LINEPOWERWIDGET_H
#define LINEPOWERWIDGET_H

#include "gui/devicewidget.h"
#include "core/device.h"

namespace Ui {
    class LinePower;
}

namespace gui {

class LinePowerWidget : public DeviceWidget {
    Q_OBJECT
public:
    LinePowerWidget(core::Device *d, QWidget *parent = 0);
    ~LinePowerWidget();

private Q_SLOTS:
    virtual void changed();
    void changeAlert(QString alert);

private:
    Ui::LinePower *ui;
};

}

#endif // LINEPOWERWIDGET_H
