#ifndef SETTINGSWIDGET_H
#define SETTINGSWIDGET_H

#include <QWidget>

namespace Ui {
    class SettingsWidget;
}

namespace gui {
class SettingsWidget : public QWidget
{
    Q_OBJECT
    
public:
    SettingsWidget(QWidget *parent = 0);
    ~SettingsWidget();
    
private Q_SLOTS:
    void saveOnlyBatteries(bool b);
    void saveStartMinimized(bool b);
    void changeMainDevice();

Q_SIGNALS:
    void onlyBatteries(bool b);
    void startMinimized(bool b);

private:
    Ui::SettingsWidget *ui;
};
}

#endif // SETTINGSWIDGET_H
